<div>Current Time: {{ "ana are 10 mere" | test: "dd.MM.yyyy, hh:mm" }}</div>

<div [ngSwitch]="authType">
  <div *ngSwitchCase="'login'">
    <p>Login</p>

    <form [formGroup]="loginForm">
      <div>
        <label for="username">Username</label>
        <input
          class="input-field"
          name="username"
          type="text"
          formControlName="username"
        />

        <label for="password">Password</label>
        <input name="password" type="password" formControlName="password" />
      </div>
    </form>

    <button mat-raised-button color="primary" (click)="onLogin()">Login</button>
  </div>

  <div *ngSwitchCase="'register'">
    <p>Register</p>

    <form [formGroup]="registerForm">
      <div>
        <label for="username">Username</label>
        <input name="username" type="text" formControlName="username" />

        <label for="password">Password</label>
        <input name="password" type="password" formControlName="password" />

        <label for="password">Confirm Password</label>
        <input
          name="confirmPassword"
          type="password"
          formControlName="confirmPassword"
        />
      </div>
    </form>

    <button (click)="onRegister()">Register</button>
  </div>

  <div *ngSwitchDefault>
    <p>Te-ai autentificat cu succes!</p>
  </div>

  <p *ngIf="authType != ''" (click)="onAuthTypeChange()">
    {{ authType == "login" ? "Create an account" : "Go to login" }}
  </p>
</div>
